CVE-2004-1541
CVSS7.5
发布时间 :2004-12-31 00:00:00
修订时间 :2016-10-17 22:56:06
NMCO    

[原文]SecureCRT 4.0, 4.1, and possibly other versions, allows remote attackers to execute arbitrary commands via a telnet:// URL that uses the /F option to specify a configuration file on a samba share.


[CNNVD]Van Dyke SecureCRT远程命令执行漏洞(CNNVD-200412-310)

        SecureCRT 4.0,4.1,可能还有其他版本存在漏洞。远程攻击者借助telnet:// URL执行任意命令,该telnet:// URL使用/F选项指定samba分享中的配置文件。
        

- CVSS (基础分值)

CVSS分值: 7.5 [严重(HIGH)]
机密性影响: [--]
完整性影响: [--]
可用性影响: [--]
攻击复杂度: [--]
攻击向量: [--]
身份认证: [--]

- CPE (受影响的平台与产品)

cpe:/a:van_dyke_technologies:securecrt:4.1.7
cpe:/a:van_dyke_technologies:securecrt:4.1.8
cpe:/a:van_dyke_technologies:securecrt:4.0.4
cpe:/a:van_dyke_technologies:securecrt:4.1.3
cpe:/a:van_dyke_technologies:securecrt:4.0.5
cpe:/a:van_dyke_technologies:securecrt:4.1.4
cpe:/a:van_dyke_technologies:securecrt:4.1.5
cpe:/a:van_dyke_technologies:securecrt:4.1.6
cpe:/a:van_dyke_technologies:securecrt:4.0.1
cpe:/a:van_dyke_technologies:securecrt:4.0.2
cpe:/a:van_dyke_technologies:securecrt:4.1.1
cpe:/a:van_dyke_technologies:securecrt:4.0.3
cpe:/a:van_dyke_technologies:securecrt:4.1.2
cpe:/a:van_dyke_technologies:securecrt:4.1

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2004-1541
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2004-1541
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200412-310
(官方数据源) CNNVD

- 其它链接及资源

http://marc.info/?l=bugtraq&m=110129164332226&w=2
(UNKNOWN)  BUGTRAQ  20041123 SecureCRT - Remote Command Execution
http://www.securityfocus.com/bid/11731
(PATCH)  BID  11731
http://xforce.iss.net/xforce/xfdb/18201
(PATCH)  XF  securecrt-folder-command-execution(18201)

- 漏洞信息

Van Dyke SecureCRT远程命令执行漏洞
高危 设计错误
2004-12-31 00:00:00 2006-06-15 00:00:00
远程  
        SecureCRT 4.0,4.1,可能还有其他版本存在漏洞。远程攻击者借助telnet:// URL执行任意命令,该telnet:// URL使用/F选项指定samba分享中的配置文件。
        

- 公告与补丁

        Van Dyke has released version 4.1.9 of the affected software dealing with this issue.
        Van Dyke has made an advisory available regarding this issue. Please see the reference section for more information.
        Van Dyke Technologies SecureCRT 4.0.1
        
        Van Dyke Technologies SecureCRT 4.0.2
        
        Van Dyke Technologies SecureCRT 4.0.3
        
        Van Dyke Technologies SecureCRT 4.0.4
        
        Van Dyke Technologies SecureCRT 4.0.5
        
        Van Dyke Technologies SecureCRT 4.1
        
        Van Dyke Technologies SecureCRT 4.1.1
        
        Van Dyke Technologies SecureCRT 4.1.2
        
        Van Dyke Technologies SecureCRT 4.1.3
        
        Van Dyke Technologies SecureCRT 4.1.4
        
        Van Dyke Technologies SecureCRT 4.1.5
        
        Van Dyke Technologies SecureCRT 4.1.6
        
        Van Dyke Technologies SecureCRT 4.1.7
        
        Van Dyke Technologies SecureCRT 4.1.8
        

- 漏洞信息

12089
SecureCRT telnet URI Arbitrary Configuration Folder Remote Command Execution
Remote / Network Access Input Manipulation
Loss of Confidentiality Upgrade
Exploit Public Vendor Verified

- 漏洞描述

Secure CRT contains a flaw that may allow a malicious user to gain access to unauthorized privileges. The issue is triggered when a remote user creates a specially crafted telnet URL which specifies an alternate directory for the configuration file. The alternate configuration file can specify alternative scripts to execute for a login script. This flaw may lead to a loss of confidentiality.

- 时间线

2004-11-23 Unknow
2004-11-23 Unknow

- 解决方案

Upgrade to version version 4.1.9 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站